<template>
    <div class="signin">
        <div class="signin__top"></div>

        <div class="signin__content">
            <div class="signin__logo">
                <img src="/img/logo-checkout.svg" alt="logo-checkout" class="checkout__logo--img">
            </div>
            <h5 class="signin__head">Вхід</h5>
            <!-- <h5 class="signin__head">Реєстрція</h5> For registr page -->
        <BaseLoader v-model="loader">
            <vee-form  class="signin__form" @submit="postDataMethod" :validation-schema="schema">

                <!-- <Input customClass="input--signin" placeholder="Ваш e-mail"> For password page to restore-->
                <!-- 
                    <p class="signin__name--head">Перевірте ваш e-mail на наявність коду</p>
                    <button class="button-light btn--signin">У мене немає коду</button>
                    <Input customClass="input--signin" type="text" placeholder="Код"  />
                    <Input customClass="input--signin" placeholder="Новий пароль"  />
                    <Input customClass="input--signin" placeholder="Повторіть новий пароль"  />
                    <button class="button btn--signin">Відправити код</button> For password page to step2
                -->

                <!-- <p class="signin__name--head">Код відправлено. Відправити знову можна через: 0:59 </p> For password page to step3 -->
                <InputText customClass="input--signin" placeholder="Телефон або e-mail" name="email" v-model="formData.email" />
                <InputText customClass="input--signin" placeholder="Пароль" name="password" type="password" v-model="formData.password" />

                <div class="brands__link"><a href="#" class="brands__description--link">Забули пароль?</a></div>

                <button type="submit" class="button btn--signin">Увійти</button>
                <!-- <button class="button btn--signin">Відправити код</button> For password page-->
                <NuxtLink to="/auth/register" class="button-light btn--signin">У мене немає акаунта</NuxtLink>
                <!-- <button class="button-light btn--signin">У мене є акаунт</button> For registr page -->
                <div class="sigin__or">
                    <div class="signin__select">
                        <p class="signin__select--text">Або</p>
                    </div>
                    <div class="signin__name">
                        <p class="signin__name--head">Увійти за допомогою:</p>
                        <div class="signin__icons">
                            <a href="#" class="checkout__link"><img src="/img/google-logo.svg" alt="google-logo"  class="checkout__link--img"></a>
                            <a href="#" class="checkout__link"><img src="/img/facebook-chekout.svg" alt="facebook-chekout" class="checkout__link--img"></a>
                        </div>
                    </div>
                </div>
            </vee-form>
            <vue-snotify />
        </BaseLoader>
        </div>

        <div class="signin__bottom"></div>
    </div>
</template>

<script setup>
import { useForm, useField } from 'vee-validate';
import * as yup from 'yup';
import Vuex from 'vuex';


const { $snotify } = useNuxtApp(),
token = useCookie("token");
const loader = ref(false);
const router = useRouter();

let formData = ref({
    email: "",
    password: ""
});


// Define a validation schema
/*  const schema = yup.object({
    email: yup.string().required().email(),
    password: yup.string().required().min(8)
});  */

//--routes
async function postDataMethod(val, actions) {
    try {
        loader.value = true;
        const {data} = await $api().auth.login(formData.value);
        token.value = data.access_token
        router.push('/');

        const store = $store().checkLogin;

        store.$patch({
        checkLogin: token.value 
        });

        console.log(store.checkLogin);

        $snotify.success("success");
        actions.resetForm({
        email: "",
        password: ""
        });
        

        router.push('/');
        
    }
    catch (e) {
        $snotify.error(e.data.message);
        actions.setErrors(e.data.errors)
        loginedIn = false;
    }
    finally {
        loader.value = false;
    }
}



//--methods
definePageMeta({
    layout: "defaultClear",
});
</script>
